From 73be6065ccfca99f883ea69ca8a0f589132a8310 Mon Sep 17 00:00:00 2001
From: Kirill A. Korinskiy <catap@catap.ru>
Date: Mon, 1 Jun 2009 20:05:34 +0400
Subject: [PATCH] Use args from request for include file if not define args by GET options
Cc: catap@catap.ru

---
 src/http/modules/ngx_http_ssi_filter_module.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/http/modules/ngx_http_ssi_filter_module.c b/src/http/modules/ngx_http_ssi_filter_module.c
index 5acb781..b9de989 100644
--- src/http/modules/ngx_http_ssi_filter_module.c.orig
+++ src/http/modules/ngx_http_ssi_filter_module.c
@@ -1981,6 +1981,10 @@ ngx_http_ssi_include(ngx_http_request_t *r, ngx_http_ssi_ctx_t *ctx,
         return NGX_HTTP_SSI_ERROR;
     }
 
+    if (!args.len) {
+        args = r->args;
+    }
+
     psr = NULL;
 
     mctx = ngx_http_get_module_ctx(r->main, ngx_http_ssi_filter_module);
-- 
1.6.2
